import { r as registerInstance, h, d as getElement } from './index-24b18689.js';

const CourseSelect = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.courses = ['Mind & Body', 'Data Analytics', 'Financial Literacy'];
    this.renderOption = (course) => {
      return (h("div", { class: "CourseSelect-course" }, h("span", null, course)));
    };
  }
  componentDidLoad() { }
  redirectToCourse(course) {
    if (this.courses[1] === course) {
      window.location.href = 'https://g3da.z13.web.core.windows.net/';
    }
    else if (this.courses[2] === course) {
      window.location.href = 'https://girlsinclearning.com/Financial';
    }
  }
  render() {
    return h("sparkle-select", { class: "CourseSelect", options: this.courses, optionRenderer: this.renderOption, onSelection: ev => this.redirectToCourse(ev.detail) });
  }
  get el() { return getElement(this); }
};

export { CourseSelect as course_select };
